Bug 106943 - Disabled state of experimental features and macro recording settings not reflected on the UI
Summary: Disabled state of experimental features and macro recording settings not refl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Gabor Kelemen
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-04 11:43 UTC by Pénzes Dávid
Modified: 2017-04-10 10:37 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
configuration file (xcu) (515 bytes, text/plain)
2017-04-04 11:44 UTC, Pénzes Dávid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pénzes Dávid 2017-04-04 11:43:05 UTC
Description:
We would like to centrally disable the experimental features and macro recording options found on the Options - LibreOffice - Advanced page. Disabling these works, but this state is not reflected on the UI. 


Steps to Reproduce:
1. Install the macro-experimental-common.xcu to disable the experimental features and macro recording. 
2. Restart LibreOffice


Actual Results:  
The boxes can be checked, but their state is not preserved.

Expected Results:
The Enable experimental features and the Enable macro recording checkboxes are greyed out.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Pénzes Dávid 2017-04-04 11:44:22 UTC
Created attachment 132323 [details]
configuration file (xcu)
Comment 2 Commit Notification 2017-04-06 11:25:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f747390b4f79d88dcccec8aa5e25d3444aac9a23

tdf#106943 Lock down Experimental features and Macro recording

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-04-10 08:41:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75c1af593e94c049972fd929c810a9b0be23cb20&h=libreoffice-5-3

tdf#106943 Lock down Experimental features and Macro recording

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.